Validacion W3C HTML5 para meta X-UA-Compatible

La solución para validar y ser compatibles con la cabecera HTML, no es añadir el antiguo meta de HTML 4: X-UA, sino quitarlo y ponerlo en el htacces o encerrado en comentarios sólo para ie…

yo lo pongo en el .htaccess del servidor así:

ver fuente: https://github.com/h5bp/server-configs/blob/master/apache/.htaccess
# ———————————————————————-

# Better website experience for IE users

# substituye meta que no valida:     <meta http-equiv="X-UA-Compatible" content="IE=edge; chrome=1">

# ———————————————————————-

# Force the latest IE version, in various cases when it may fall back to IE7 mode

#  github.com/rails/rails/commit/123eb25#commitcomment-118920

# Use ChromeFrame if it’s installed for a better experience for the poor IE folk

<IfModule mod_headers.c>

Header set X-UA-Compatible “IE=edge,chrome=1″

# mod_headers can’t match by content-type, but we don’t want to send this header on *everything*…

<FilesMatch “\.(appcache|crx|css|eot|gif|htc|ico|jpe?g|js|m4a|m4v|manifest|mp4|oex|oga|ogg|ogv|otf|pdf|png|safariextz|svg|svgz|ttf|vcf|webm|webp|woff|xml|xpi)$”>

Header unset X-UA-Compatible

</FilesMatch>

</IfModule>

Etiquetas:

Deja un comentario

CAPTCHA Image Audio Version
Reload Image